> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/mop/delete-analytic-template/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Delete an analytic template POST https://example.itential.io/mop/deleteAnalyticTemplate/{id} Deletes an Analytic Template by ID. Reference: https://docs.itential.com/itential-cloud/api-reference/mop/delete-analytic-template ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `id` (string, required) — ID of the Analytic Template to delete. ## Response ### 200 Status of the deletion. - `n` (integer, optional) - `ok` (integer, optional) - `nModified` (integer, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "n": 1, "ok": 1, "nModified": 1 } ``` **SDK Code** ```python import requests url = "https://example.itential.io/mop/deleteAnalyticTemplate/id" response = requests.post(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/mop/deleteAnalyticTemplate/id'; const options = {method: 'POST'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/mop/deleteAnalyticTemplate/id" req, _ := http.NewRequest("POST", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/mop/deleteAnalyticTemplate/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/mop/deleteAnalyticTemplate/id") .asString(); ``` ```php request('POST', 'https://example.itential.io/mop/deleteAnalyticTemplate/id'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/mop/deleteAnalyticTemplate/id"); var request = new RestRequest(Method.POST); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/mop/deleteAnalyticTemplate/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```